<div class="card-container">
  <mat-card class="mat-elevation-z8">
    <mat-horizontal-stepper [linear]="isLinear" #stepper>
      <div>
        <div *ngIf="firstFormGroup">
          <mat-step [stepControl]="firstFormGroup">
            <form fxLayout="column"  [formGroup]="firstFormGroup">
              <ng-template matStepLabel>Enquiry</ng-template>
              <mat-form-field appearance="outline">
                <input matInput placeholder="Name or Organization Name" formControlName="name" required>
              </mat-form-field>
              <mat-form-field appearance="outline">
                <input matInput placeholder="E-mail" formControlName="email" required>
              </mat-form-field >
              <mat-form-field appearance="outline">
                <input matInput placeholder="Phone Number" formControlName="phoneNumber" required>
              </mat-form-field>
              <mat-form-field appearance="outline">
                  <mat-select placeholder="Do you have a team?" formControlName="team" select>
                    <mat-option *ngFor="let bul of hasTeam" [value]="bul">{{ bul }}</mat-option>
                  </mat-select>
              </mat-form-field>
              <mat-form-field appearance="outline">
                  <mat-select placeholder="Organization Type" formControlName="organizationType" select>
                    <mat-option *ngFor="let orgType of organizations" [value]="orgType">{{ orgType }}</mat-option>
                  </mat-select>
              </mat-form-field>
              <div>
                <button mat-flat-button color="primary" matStepperNext>Next</button>
              </div>
            </form>
          </mat-step>
        </div>
      <mat-step [stepControl]="secondFormGroup">
        <div *ngIf="secondFormGroup">
          <form  fxLayout="column" [formGroup]="secondFormGroup">
            <ng-template matStepLabel>Requirements</ng-template>
      
            <mat-form-field appearance="outline">
                <mat-select placeholder="Query priority" formControlName="priority" select>
                    <mat-option *ngFor="let pro of priorityType" [value]="pro">{{ pro }}</mat-option>
                </mat-select>
            </mat-form-field >
            <mat-form-field appearance="outline">
                <mat-select placeholder="Your Query Type" formControlName="queryType" select>
                    <mat-option *ngFor="let que of inquiryType" [value]="que">{{ que }}</mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field appearance="outline">
                  <textarea
                  matInput placeholder="Your Query Brief"
                  formControlName="queryBrief"
                  required></textarea>
              </mat-form-field>
            <div>
              <button mat-button color="primary" matStepperPrevious>Back</button>
              <button mat-flat-button color="primary" matStepperNext>Next</button>
            </div>
          </form>
        </div>
      </mat-step>
      <mat-step >
        <ng-template matStepLabel>Done</ng-template>
        <p>
          Great !!<br>
          Your query is ready feel free to recheck or edit before submission,<br>
          we shall respond as soon as possible, you are important to us ....<br>
        </p>
        <div  >
          <button mat-button color="primary" matStepperPrevious>Back</button>
          <button  mat-flat-button color="primary" (click)="submitForm(stepper)">Submit</button>
        </div>
      </mat-step>
      </div>
    </mat-horizontal-stepper>
  </mat-card>
</div>